using System;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            string t;
            int i;
            t = Console.ReadLine();
            for(i = 0; i < t.Length / 2; i++)
            {
                if(t[i] != t[t.Length - i - 1])
                {
                    break;
                }
            }
            if (i != t.Length / 2)
            {
                Console.WriteLine(t.Length - 2 * (i+1) + 1);
            }
            else
            {
                Console.WriteLine(1);
            }
        }
    }
}